RULEXDB_REMOVE_ITEM(3)

NAME
rulexdb_remove_item - remove specified item from the rulex dictionary

SYNOPSIS
#include <rulexdb.h>

int rulexdb_remove_item(RULEXDB *rulexdb, const char *key, int item_type);

DESCRIPTION
The rulexdb_remove_item() function removes lexical item for specified key from the dictionary dataset defined by item_type argument that may accept one of the following values:

RULEXDB_LEXBASE
    Remove item from the Implicit dictionary.

RULEXDB_EXCEPTION
    Remove item from the Explicit dictionary.

Note that the data type must be specified explicitly. The value RULEXDB_DEFAULT is not allowed here.

The argument rulexdb references the database to deal with.

RETURN VALUE
The rulexdb_remove_item() function returns RULEXDB_SUCCESS which is zero when specified item was successfully removed, positive value RULEXDB_SPECIAL when no record exists for specified key, or negative error code in the case of other failure.

ERRORS

RULEXDB_FAILURE
    Referenced database has not been opened, internal data structures are corrupted or some other general failure has occurred.

RULEXDB_EINVKEY
    Invalid key specified.

RULEXDB_EPARM
    The argument rulexdb or item_type has an invalid value.

RULEXDB_EACCESS
    The database is not opened for updating.

SEE ALSO
rulexdb_classify(3), rulexdb_close(3), rulexdb_dataset_name(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.